# Uses of Class
org.apache.lucene.internal.hppc.IntDoubleHashMap

Packages that use IntDoubleHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of IntDoubleHashMap in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return IntDoubleHashMap
  Modifier and Type
  Method
  Description
  `IntDoubleHashMap`
  IntDoubleHashMap.`clone()`
  `static IntDoubleHashMap`
  IntDoubleHashMap.`from(int[] keys, double[] values)`
  Creates a hash map from two index-aligned arrays of key-value pairs.
  Methods in org.apache.lucene.internal.hppc with parameters of type IntDoubleHashMap
  Modifier and Type
  Method
  Description
  `protected boolean`
  IntDoubleHashMap.`equalElements(IntDoubleHashMap other)`
  Return true if all keys of some other container exist in this container.
  Constructors in org.apache.lucene.internal.hppc with parameters of type IntDoubleHashMap
  Modifier
  Constructor
  Description
  ``
  `IntDoubleHashMap(IntDoubleHashMap map)`
  Create a hash map from all key-value pairs of another map.